<ol class="breadcrumb mb-4" style="margin-top: 15px;">
	<li class="breadcrumb-item active">{{ titulo }}</li>
</ol>
<div class="card mb-4">
	<div class="card-header">
		<i class="fas fa-table mr-1"></i> Información
		<button *ngxPermissionsOnly="'sedes_create'" class="btn btn-primary" style=" float: right;" data-toggle="modal" (click)="onResetForm()" data-target="#formularioCreacion"><i class="fas fa-plus-circle"></i> Sede</button>
	</div>
	<div class="card-body">
		<div class="table-responsive">
			<table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
				<thead>
					<tr>
						<th>Nombre Sede</th>
						<th>Porcentaje</th>
						<th>Representante</th>
						<th>Télefono</th>
						<th>Email</th>
						<th>Dirección</th>
						<th *ngxPermissionsOnly="'sedes_edit'">Acción</th>
					</tr>
				</thead>
				<tfoot>
					<tr>
						<th>Nombre Sede</th>
						<th>Porcentaje</th>
						<th>Representante</th>
						<th>Télefono</th>
						<th>Email</th>
						<th>Dirección</th>
						<th style=" width: 7%;" *ngxPermissionsOnly="'sedes_edit'">Acción</th>
					</tr>
				</tfoot>
				<tbody>
					<tr *ngFor="let sede of sedes">
						<td>{{ sede.name }}</td>
						<td style="text-align: right;">{{ sede.type }} %</td>
						<td>{{ sede.representative }}</td>
						<td>{{ sede.phone }}</td>
						<td>{{ sede.email }}</td>
						<td>{{ sede.address }}</td>
						<td style="text-align: center;" *ngxPermissionsOnly="'sedes_edit'">
							<a href="javascript:void(0)" (click)="onEditar(sede)" data-toggle="modal" data-target="#formularioCreacion"><i class="fas fa-edit"></i></a>
							<!-- <a href="javascript:void(0)" style=" margin-left: 15px;" (click)="onEditar(pagina)" data-toggle="modal" data-target="#formularioCreacion"><i class="fas fa-trash-alt"></i></a> -->
						</td> 
					</tr>
				</tbody>
			</table>
		</div>
	</div>
</div>
<div class="modal fade " id="formularioCreacion" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Formulario</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form [formGroup]="sedeForm" (ngSubmit)="onSaveForm()">
	      <div class="modal-body">
	      	<div class="container-fluid">
	        
	        	<div class="row">
	        		<div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Nombre: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.name.invalid && (submitted || f.name.touched))"> El campo es requerido</label>
	        			<input type="text" class="form-control" formControlName="name" [ngClass]="{ 'is-invalid': f.name.errors && (f.name.touched || submitted),'is-valid': f.name.touched && !f.name.errors}">
		            </div>
		            <div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Representante:</label>
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.representative.invalid && (submitted || f.representative.touched))"> El campo es requerido</label>
	        			<input type="text" class="form-control" formControlName="representative" [ngClass]="{ 'is-invalid': f.representative.errors && (f.representative.touched || submitted),'is-valid': f.representative.touched && !f.representative.errors }">
		            </div>
	        	</div>
	          	<div class="row"> 
	        		<div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Télefono:</label>
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.phone.invalid && (submitted || f.phone.touched))"> El campo es requerido</label>
	        			<input type="text" class="form-control" formControlName="phone" [ngClass]="{ 'is-invalid': f.phone.errors && (f.phone.touched || submitted),'is-valid': f.phone.touched && !f.phone.errors}">
		            </div>
		            <div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Correo Electronico:</label>
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.email.invalid && (submitted || f.email.touched))"> El campo es requerido</label>
	        			<input type="text" class="form-control" formControlName="email" [ngClass]="{ 'is-invalid': f.email.errors && (f.email.touched || submitted),'is-valid': f.email.touched && !f.email.errors}">
		            </div>
	        	</div>
	        	<div class="row"> 
	        		<div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">% Pago:</label>
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.type.invalid && (submitted || f.type.touched))"> El campo es requerido</label>
	        			<input type="text" class="form-control" formControlName="type" [ngClass]="{ 'is-invalid': f.type.errors && (f.type.touched || submitted),'is-valid': f.type.touched && !f.type.errors}">
		            </div>
	        		<div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Dirección:</label>
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.address.invalid && (submitted || f.address.touched))"> El campo es requerido</label>
	        			<input type="text" class="form-control" name="address" formControlName="address" [ngClass]="{ 'is-invalid': f.address.errors && (f.address.touched || submitted),'is-valid': f.address.touched && !f.address.errors}">
		            </div>
	        	</div>
	    	</div>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-secondary" id="btnCerrar" data-dismiss="modal">Cerrar</button>
	        <button type="submit" class="btn btn-success" id="btnGuardar">{{ textbtn }}</button>
	      </div>
      </form>
    </div>
  </div>
</div>






